Introduction
 Top Next
KLSE_Analysis is a stock market analysis program that serves to facilitate the thorough number crunching on the KLSE historical data stored in MetaStock format. It mainly works as a stock screener by filtering out counters that fail to fulfill the user customized search criteria.

Some of the features accompanying the program are :

1. Historical highs and lows recorded for all counters listed on Bursa Malaysia. Historical EPS, NTA, ROE, Dividend etc. are presented in bar charts
2. Fully customizable ROE, P/E, P/NTA, D/Y, EPS Growth, PE Growth, listing date, IPO price and core business search
3. Multi-user profile portfolio management
4. Breakdown of net worth, profit etc gained for all stock counters held on hand
5. Snapshot of investment performance in Pie charts and Bar charts
6. Tracking of daily KLCI movement. It also lists down the top/bottom 100 transacted values in the history of KLSE (now known as Bursa Malaysia), which is used for determining the arrival of boiling point
7. Price movement resistance analysis to identify which counters record a new high/low during the selected duration
8. stock alert the moment preset P/E or price range is met
9. Reminder of upcoming dividend payment, bonus/rights issue and also the release of financial results
10. Price movement comparisons of counter/index based on the user specified date range
11. Download of real -time quote which automatically updates the latest P/E, D/Y and portfolio performance
12. Computation of overall market as well as individual P/E ratios

Constructive suggestions and feedbacks are greatly welcome and deeply appreciated. Kindly forward them to KLSE_Track@yahoo.com


Revision History
 Previous Top Next

Revision History
Date
Revision
Description
13/07/2003
Rev 1.0
Initial Release
15/07/2003
Rev 1.1
Add Portfolio Management
Automate ODBC set up and ActiveX control registration
30/07/2003
Rev 1.2
Extend the portfolio management to support multi-user profile
Add ROE and P/E analysis
08/08/2003
Rev 1.3
Add chart display
12/08/2003
Rev 1.4
Add D/Y and PEG analysis
Add KLCI's 3-Year Cycle theory analysis
15/08/2003
Rev 1.5
Replace PEG with EPSG analysis
Add the display of PAR value
19/08/2003
Rev 1.6
Add the display of KLSE daily closing data
21/08/2003
Rev 2.0
Upgrade to support Microsoft Data Access Component 2.8
Add P/NTA analysis
Add column sorting capability
Add EPS, NTA and ROE trend charts
25/08/2003
Rev 2.1
Add EPSG and NTAG trend charts
EPS and NTA are adjusted whenever there is bonus/rights issue
27/08/2003
Rev 2.2
Revamp numerous selection criteria in Stock Search window
29/08/2003
Rev 2.3
Add 3 months' theory to determine the future direction of KLCI
Amend user manual to be more user friendly
03/09/2003
Rev 2.5
Add RSI display in the Find window
Search criteria is now user customizable
11/09/2003
Rev 2.6
Major overhaul of user interface and user manual
26/09/2003
Rev 2.7
Add new transaction screen to record down the net dividend received
Display adjusted ratio (bonus/rights) in Historical Highs & Lows
Add FAQ section
29/09/2003
Rev 2.8
Add the KLCI and MSCI categories of stocks
27/10/2003
Rev 2.9
Add PEG analysis
Add top 100 value transacted
03/11/2003
Rev 3.0
Add lowest 100 value transacted to determine if market is bearish
New option to restrict counter search by sector
11/11/2003
Rev 3.1
Display of 100 highest and 100 lowest value/volume ratios
Net profit margin bar chart added
05/01/2004
Rev 3.2
Display the user specified duration of average ROE values
15/01/2004
Rev 3.3
Add KLSE.MDB database upgrade feature
17/02/2004
Rev 3.4
Make the stock search criteria fully customizable
Add print support
Display chart of daily transacted value
Add feature to delete all past transaction records belonging to the active portfolio
05/04/2004
Rev 3.5
New feature to add notes/comments for individual counter
Add CAGR (Compounded Annual Growth Rate) on EPS analysis
Add simple calculator
15/04/2004
Rev 3.6
Add multi broker account support
05/05/2004
Rev 3.7
Add 3-month's price analysis on selected counter
06/05/2004
Rev 3.8
Rework on certain charts by consolidating related data into single chart
12/05/2004
Rev 3.9
Add a new column called “Mark” to the main search window
Notes is updated directly into database, without having to run database import first
01/06/2004
Rev 4.0
Add functionality to compare the portfolio performance between 2 dates
20/07/2004
Rev 4.1
Add gearing, parity and conversion premium analysis for warrants
09/08/2004
Rev 4.2
Add warrant search criteria
Web browser that links to StarBiz site to display extra information on selected counter
Counter can also be added/removed from On Hand list in the Stock Search window
Add buy “B” or sell “S” advice on counters fulfilling the EPS Growth criteria
Decimal point is now supported as part of stock search criteria
03/09/2004
Rev 4.3
Add fair value computation on warrants that meet/exceed the user customizable criteria
Add automatic stock alert when the predefined conditions are met
Add 6, 9 and 12 months stock chart, in addition to the existing 3-month display. Clicking at any point in the chart will bring up a tool-tip hint displaying its value
05/10/2004
Rev 4.4
Stock alert can be triggered the moment predefined P/E range is met apart from price
Actual gain versus paper gain are displayed in portfolio performance screen
Option to show/hide summary of counters that we no longer own (portfolio performance)
Some windows are resizable now
11/10/2004
Rev 4.5
Add equity / cash ratio (e2c) calculation
In price movement resistance analysis, counters in Ignore list won't be displayed even if they hit new high/low
18/10/2004
Rev 5.0
Add real-time quote download which automatically updates the P/E, D/Y and also portfolio performance (PN4 and warrant counters are ignored)
Provide option to auto update cash on hand amount when a share transaction occurs
03/11/2004
Rev 5.1
Add dividend statement that can be used for income tax rebate
Add show all transactions in the portfolio performance view screen
17/11/2004
Rev 5.2
Add reminder list to remind user of any upcoming dividend payment, bonus as well as rights issue that he/she is entitled for
03/12/2004
Rev 5.3
Calculation of average D/Y and CAGR can be customized based on the number of years selected
17/12/2004
Rev 5.4
In portfolio performance display screen, user can now choose to neglect/consider historical transactions that were completely sold in the past
Add calculation of market and sector P/E ratios
Price movement resistance analysis is extended to support 6, 9 and 12 months
ROE.XLS file has been converted into ROE.ALB format for better security
05/01/2005
Rev 5.5
Add break-even calculator
User can now modify the latest EPS and NTA figures and overwrite the data contained in ROE.ALB
Provide option to switch between 2 different kinds of portfolio performance views
11/01/2005
Rev 5.6
Add partial CANSLIM analysis support
Now current price can be utilized as one of the stock search criteria
0/03/2005
Rev 5.7
Add IPO Price, listing date, core biz, company website and paid up capital information. The IPO price, listing data and core biz can be used as criteria in stock search
Rework on overall portfolio performance to reflect the brokerage rate (differ depending on the broker house and transaction amount) involved in each share transaction
Add annualized gain functionality to the overall portfolio performance screen
In stock search window, multiple row selection is now supported
Rewrite user manual and compile it into context sensitive Windows help file format
16/05/2005
Rev 5.8
Greatly improve program usability by adding toltips, online help topics and icnonized menu items
Add CAGR calculator
Add portfolio archive feature
Easy update of transaction record
Support warrant conversion transaction entry
Customization of Mark and CANL scores
Automate EOD (End Of Day) Update for MetaStock intelligently
20/06/2005
Rev 5.9
Introduce intrinsic value computation
Improve the display of portfolio performance
Password protection on portfolio accounts
Consolidate various setup packages (in which Microsoft Office 2003 used to have separate installation package) into single common package
30/08/2005
Rev 6.0
Display daily portfolio performance chart
Display daily P/E, price and volume chart for the selected counter
Support counter code in stock search
Ranking can now be assigned to your favourite counters
27/03/2006
Rev 6.0 SP2
KLSE_Analysis now fully supports WinXP SP2
Fix the minor bugs raised by users
18/07/2006
Rev 6.1
Polish up some of the interfaces such as the stock search, stock chart and historical highs & lows screens
Remember previously set stock search criteria
Replace ROE.ALB with ROE.XLS
KLSE_Analysis help file is updated to reflect the recent changes committed
09/11/2006
Rev 6.2
Provide Buy Stock Advice as additional stock search option
Previously all stock search MUST include ROE as one of the criteria. This is no longer the case now because the ROE can be ignored
Display the number of financial year results available on the main Stock Search screen
30/11/2006
Rev 6.2 SP1
Rework on "Mark" column to take into the CANL score. Also rescale the overall mark so that it ranges from 0 to 10. The higher the score, the better it is.
01/04/2007
Rev 6.3
Enhance warrant information page by getting the data straight from Bursa Malaysia (thereby eliminate potential human error). Added useful info such as total number of units available for exercise.
Added support for called warrant.
Added new feature to support cash distribution transaction
Intelligently skip the addition of expired warrants into the database


Disclaimer Note
KLSE_Analysis serves as an essential tool in assisting the user in his/her stock investment.

Having said that, it is important to remember that the author shall NOT be held responsible for any of the investment losses incurred by the user, as clearly exemplified in the About box of KLSE_Analysis below.


Contact The Author
Click the link below to drop an email to the author of KLSE_Analysis :

KLSE_Track@yahoo.com


Minimum Hardware Requirements
Intel Pentium III machine with 128MB RAM, 15” monitor (resolution set as 1024X768) is the minimum hardware requirement. Nonetheless, more RAM would significantly boost the overall performance, especially during database import operation which takes at least 15 minutes to complete.

A recommended computer specification would be :

· Intel Pentium 4 with 1.6GHz or equivalent processor
· 512MB of DDRAM
· 17" monitor
· Graphics display card that can support typical 1152x864 screen resolution

Of course the higher the specification, the better it is :).


Software Pre-Requisites
KLSE_Analysis runs on multiple Microsoft Windows platforms. Although it was also tested successfully to run on Win98 SE (Second Edition) and Windows ME without any hiccups (Windows 95 and Windows 98 first edition are not supported), it is strongly advisable to execute the program under the Windows 2000 or Windows XP (both English and Chinese) platform since they are more fault tolerant and stable.

Apart from the operating system, several other software components MUST be present to experience all the features of KLSE_Analysis :

1. Microsoft Internet Explorer 6.0 or later
2. MetaStock 7.2 or later preloaded with the latest KLSE historical data
3. KLSE_TRACK.XLS or MRKTKLSE.XLS
4. Microsoft Data Access Component 2.8 (not required on system running Windows XP Service Pack 2 as it comes preinstalled with Microsoft Data Access Component 2.81)
5. Microsoft Excel 2000 or later
6. The latest copy of Microsoft Excel file ROE.XLS which can be obtained from the author of KLSE_Analysis once you become a registered user. Unregistered user gets old version of ROE.XLS (which only contains financial data from 1998 till 2000).


Microsoft Data Access Component 2.8
Microsoft Data Access Component 2.8 can be downloaded at

http://www.microsoft.com/downloads/details.aspx?FamilyID=6c050fe3-c795-4b7d-b037-185d0506396c&displaylang=en

To find out which version of MDAC you currently run, install the Component Checker tool which is available for download at :

http://www.microsoft.com/downloads/details.aspx?FamilyID=8f0a8df6-4a21-4b43-bf53-14332ef092c9&displaylang=en

NOTE : You DO NOT need to install MDAC 2.8 if you computer is running Windows XP Service Pack 2.


KLSE Historical Data In MetaStock Format
MetaStock ( http://www.metastock.com ) from Equis International is a well known stock market analysis software. Despite its versatility in providing numerous technical charting tools, it lacks few notable features, i.e. the fundamental analysis and portfolio management support.

KLSE_Analysis aims at supplementing MetaStock by bridging the missing link. It works by manipulating the underlying historical data files stored in MetaStock format.

The KLSE daily closing data files are easily downloadable from many sites, once you purchase the base image (historical data dated back since 1987) from any of the vendors below. Several sites are listed here :

· http://www.bizfun.cc/
· http://www.angelfire.com/super2/klseportal/index.htm

NOTE : You need to purchase the base image from any of the vendors listed above. After that, just download the free daily EOD data from the site and use the MetaStock Downloader to import the data into MetaStock. More details are explained in the FAQ Section.


ROE.XLS

ROE.XLS (Formerly Known As ROE.ALB)
 Previous Top Next
ROE.XLS is a Microsoft Excel spreadsheet used for tracking the EPS, NTA, P/E, P/NTA, D/Y, EPS Growth, P/E Growth, CAGR, bonus/rights adjustments as well as ROE of all the members listed on KLSE.

Due to popular demand from numerous interested parties, the file is now made available to all the users, although limited to 3 years' financial data (1998 till 2000). Only the registered users receive the latest updated ROE.XLS from the author by email. ROE.XLS has to be stored in the MetaStock data's root path, just like KLSE_Track.XLS (refer to the screenshot below).


KLSE_Track.XLS
KLSE_TRACK.XLS or MRKTKLSE.XLS is a Microsoft Excel file used for recording the daily closing data of KLSE. In the presence of KLSE_TRACK.XLS, we can retrieve the daily KLCI, Market Capital, Volume transacted as well as Value transacted.

The daily closing data is freely available at Hong Leong's website :

http://www.hlgs.hongleong.com.my/xls/mrktklse.xls

NOTE : You need to manually update KLSE_TRACK.XLS on a daily basis. As a gesture of appreciation to all ROE.XLS subscribers, ClosingData.XLS is sent out together with ROE.XLS at the beginning of every month. So you no longer need to manually update KLSE_Track.XLS. In the contrary, you just copy the content of ClosingData.XLS and append it to your copy of KLSE_Track.XLS.

Alternatively, you can also obtain the daily closing data directly from Bursa Malaysia :

http://www.bursamalaysia.com/research/keyindicators.pdf


MetaStock Path Settings
When you execute KLSE_Analysis for the first time, the first step you do is to configure the MetaStock path setting, so that the program knows where to look for the historical data.

Assuming the directory structure of the KLSE historical data is exactly as in Figure 1, we can easily deduce that the main consumer sectors lies in C:\MetaStock Data\Data\KLSE1\MConsumer\ folder.

Figure 1 - Directory Structure of Various KLSE Sectors

In the form as shown in Figure 2, select the root path where all the historical KLSE data is stored. After that, you need to enter the folder names for each of the sectors (refer to Figure 2), mimic what you see in Figure 1.

Figure 2 - MetaStock & Common Settings Configuration

You have the choice to choose the site hosting source of EOD data, it can be either of the following options:

(1) BizFun WebSite
(2) KLSEPortal WebSite
(3) Manual Download EOD

You need to regularly perform MetaStock EOD Update, because the EOD data will not be made available after certain period of time. A good practice is to update at least once a week.

Sometimes, you may want to manually download the EOD data yourself. If you choose to do so, then you select the Manual Download EOD radio button. Once you downloaded the EOD data file (the zip archive), you need to manually extract its content to C:\TEMP folder (assuming that is the folder used for storing all the *.txt files) before you execute MetaStock EOD Update.
NOTE : Although the second board finance sector (SFinance) does not exist at the moment, you still need to create an empty folder called SFinance and enter its sector name as in Figure 2. KLSE_Analysis was designed with flexibility in mind, in case there is a second board finance sector in the future.
Also, you must create a folder called RealTime (refer to Figure 1) to house the downloaded real-time quote.

Explanation of additional settings in the same window :

· Non-Tax Exempt Dividend Tax Rate textbox - the default income tax that applies to non-tax exempt dividend received
· During Database Import, Overwrite User Entered Latest EPS & NTA Figures checkbox - when checked, the user entered latest EPS and NTA figures will overwrite the default values contained in ROE.ALB

Once you have completed the step, click the Save button to save the setting in the Registry permanently. Figure 3 presents a snapshot of the Registry.

Figure 3 - The Settings Are Stored In The Registry

As long as you don't alter the folder names of the sectors or root path of
MetaStock data files, you only need to configure the MetaStock Path Setting once.


ODBC Settings
ODBC Setting For KLSE.MDB

Click Add button

Select Microsoft Access driver
Enter KLSE as the Data Source Name and Click the Select button to point to the KLSE.MDB file (which is in C:\Program Files\KLSE_Analysis folder). After that, click the Advanced button

Enter “SallyKoh” as the password (without the “ quotes)

ODBC Setting For NewE.MDB

Click Add button

Select Microsoft Access driver
Enter NewE as the Data Source Name and Click the Select button to point to the NewE.MDB file (which is in C:\Program Files\KLSE_Analysis folder). After that, click the Advanced button

Enter “SallyKoh” as the password (without the “ quotes)

In the end, you will see 2 entries :


Installing KLSE_Analysis (First Time)
KLSE_Analysis is made available for download in the form of compressed file, KLSE_Analysis.zip. You can always obtain the latest version of the software at http://www.angelfire.com/theforce/klse_analysis/

Figure 1 - Files Available For Download At AngelFire Site

If you are running Microsoft Office 2003, please download KLSE_Analysis (Office 2003).zip.

On the other hand, if you are running either Microsoft Office 2000 or Microsoft Office XP, please merely download KLSE_Analysis.zip
To install KLSE_Analysis, you need to first unzip either the package KLSE_Analysis.zip or KLSE_Analysis (Office 2003).zip to a designated folder. Once the files are extracted, a subfolder called DISK1 is created. As soon as you execute SETUP.EXE contained in DISK1 subfolder to initiate the installation, a window as in Figure 2 pops up.

Figure 2 - First Screen That Appears When You Install KLSE_Analysis For The First Time

Figure 3 - Click OK To Ignore The Self-Registration Error

If an error message box similar to Figure 3 shows up, just click OK to ignore it and to proceed to the next step.

To complete the installation, just click the right button (either Next button or Yes button) on the subsequent screens.

Figure 4 - Successful Installation Notification Message

Upon successful installation, 2 new ODBC (Open Database Connectivity) User DSN (Data Source Name) entries called KLSE and NewKLSE are created and configured automatically. To confirm the entry is created, from the Control Panel, choose Data Sources (ODBC) contained in the Administrative Tools group.

Figure 5 - ODBC Setting For KLSE.MDB And NewKLSE.MDB Database Files

If you suspect something is amiss, you can always refer to ODBC Settings page.


Actions To Take Prior To Engaging On Software Upgrade
Upgrading from an existing version of KLSE_Analysis to a newer version may entail much uncertainty particularly if the user is not conversant enough with computing skills.

As a safeguard measure, it is vital to backup (copy them to another location) the following files (that lie in C:\Program Files\KLSE_Analysis folder) before carrying out the software upgrade :

· KLSE_Analysis.exe
· KLSE_Analysis.pd
· KLSE.MDB
· DATA.MDB
· KLSE_Analysis.chm

In the event the software upgrade fails, you can always get them back if the files were backed up earlier on.

Browse related information How To Backup KLSE_Analysis And All Its Related Files? .


Registered Copy
The program upgrade steps for registered user are different. As soon as new version is released, registered users will receive the latest executable (KLSE_Analysis.exe) in zip format.

What the user needs to do is just overwrite the existing executable (KLSE_Analysis.exe) with new version that he/she receives from the author.

Periodically, the table structures of KLSE.MDB are amended to cater for newly added functionality. Hence, registered user will also receive another file called NewKLSE.MDB (apart from KLSE_Analysis.exe). NewKLSE.MDB is used in the database upgrade process. The detailed upgrade steps are outlined in the How To Upgrade KLSE.MDB Database To A Newer Version? .


Unregistered Copy
From time to time, new version of KLSE_Analysis is uploaded to http://www.angelfire.com/theforce/klse_analysis/ by the author. You can always upgrade your installed version of KLSE_Analysis to newer one easily.

The steps are very similar to setting up Installing KLSE_Analysis (First Time) . However, instead of getting Figure 1 when you execute SETUP.EXE, a different screen as in Figure 2 appears.

Figure 1 - First Screen That Appears The First Time You Set Up KLSE_Analysis
Figure 2 - First Screen That Appears When You Upgrade KLSE_Analysis To New Version

As depicted in Figure 2, you need to choose Remove radio button to remove the old version from your computer. Once the uninstallation completes, you execute the same SETUP.EXE again to begin the installation of a new version. The behaviour is exactly the same as in Installing KLSE_Analysis (First Time) .


Running For The Very First Time
When you launch KLSE_Analysis program for the very first time, you will be prompted to create new portfolio accounts ( Add/Remove Portfolio Account ) and then select one to be the active portfolio.

After that, the main program screen (Figure 1) appears. Note that by default, no active portfolio account is loaded, unless you choose the newly created portfolio as the active portfolio account.

Figure 1 - KLSE_Analysis Main Screen When Loaded

NOTE : You must ensure that Microsoft Excel is not running while
launching KLSE_Analysis. This is because KLSE_Analysis
would automatically open ROE.XLS in the background. Failure
in complying this guideline may temper with the proper
behaviour of KLSE_Analysis. You have been warned !

- MetaStock EOD Update

- Database Import

- Stock Alert

- Half Month Price Resistance Analysis

- KLSE Daily Transaction

- KLCI Daily Movement Chart

- Stock Chart

- Historical Highs & Lows

- Market & Sector P/E Ratios

- Market & Sector P/NTA Ratios

- Stock / Index Movement Comparison

- Fair Price Forecast Calculator

- Load Up Portfolio Account

- Share Purchase Transaction

- Share Disposal Transaction

- Review Portfolio Performance

- Archive Historical Transactions

- Stock Reminder

- Break-Even & CAGR Calculator

- Terminate KLSE_Analysis

- Perform Stock Search

- Download Real-Time Quote from StarBiz Link


MetaStock Daily EOD Update
Once the base image containing KLSE historical data since 1987 is present, you need to visit the site and download the daily closing EOD (End Of Day) data.

In the following example, http://www.bizfun.cc/ is chosen for illustration.

Figure 1 - BizFun's Main Webpage

To download the FREE daily closing EOD (End Of Day) data stored in zip format (available approximately at 7.00pm, 2 hours after market has closed), click at the Download KLSE & Index link.

As soon as the raw data files (in text file format *.txt) are extracted to a designated folder (C:\Temp in this example), you then launch MetaStock Downloader and choose Tools->Convert to update MetaStock data files in the right root path (refer to MetaStock Path Settings ).

Figure 2 - Screenshot of MetaStock's Downloader Used For Converting Securities

To ease the effort of manually download and then update MetaStock, the author integrated the whole process within KLSE_Analysis, without the need to separately execute third party update tools like Update_All.EXE and ConvertKLSE.EXE.

Starting from version 5.9, KLSE_Analysis has built-in intelligence to automate the download and subsequent update of EOD data into MetaStock format.
The [image] icon handles the said automatic update.

You must first configure the appropritate settings in MetaStock->Path Settings (refer to Figure 3) before you proceed with smart EOD update.

Figure 3 - Configuration
Figure 4 - Automatic Meatstock Update

NOTE : The moment the Start button in Figure 4 is clicked, it intelligently downlaods the missing EOD files.
After that, it automatically launches MetaStock's Downloader to start converting the daily closing price of all securities. During the conversion, it is extremely crucial not to use your computer to do other stuff. A corresponding warning message appears that prohibits you from accessing the keyboard and mouse until the EOD update completes.

Whenever bonus or rights issue takes place, you need to perform price adjustment in MetaStock, regardless of whether you own the stock or not. Likewise, for the case of stock move sector or stock rename, relevant MetaStock update must be carried out

(1) Price Adjustment
Price adjustment must be carried out whenever the company is issuing bonus or rights issue. Please only do once for the adjustment. If you are not sure, don't save the changes. Once the changes are saved, they can not be reversed. That's why it is important for you to carry out backup beforehand.

Run The Downloader program
Open the counter that your want to perform price adjustment (File>Open)
After open the share data, click on the Adjust and then Split (Adjust>Split)
Type in the correct data for last date and click OK
Save the changes and close the counter
An example is price adjustment for PINWEE (Second Board Consumer)
 Last date: 31/12/2003
Ratio: 5 for 4
(bonus issue)

(2) Stock Move Sector

Run The Downloader Program
Choose the Merge option from Tools menu (Tools>Merge)
Select the Securities prior changed name in the Source folder (old data with the old stock name)
Then select the stock that has the new name in the Destination folder (new data with new stock name)
In the same menu, click on the Options
Tick the Delete source security option to delete the old stock name data
Finally, click on the Merge option button

(3) Stock Rename

This operation must be carried out whenever a listed company is transferred from one board to another board (i.e. from Second board to Main Board) or from one sector to another sector (i.e. from Finance sector to Consumer Product sector).
The process is exactly the same as the Stock Move Sector.

Figure 5 - BizFun Site Contains Detailed Instructions On How To Perform Stock Rename, Stock Move Sector And Price Adjust Operations

The site http://www.bizfun.cc/ contains detailed instructions to guide you through the whole process.


Database Import


Add/Remove Portfolio Account
Portfolio account is useful for segregating user specific information, such as the stock counters held by each user together with his/her historical share transaction activities, into disparate profile.

Figure 1 is the form that handles portfolio account creation and removal.

Figure 1 - Add/Remove Portfolio Account

NOTE: The portfolio account CANNOT have names such as
JOINT, SELECT and other database reserved words used
in SQL (Structured Query Language) statement.


Change Account Password
If you enable password protection for all the portfolio accounts in the MetaStock Path Settings window, then you are allowed to set/change password for the active portfolio account.


Select Portfolio Account To Load
After creating the relevant portfolio accounts, the next logical step is to choose a portfolio account to open from the list provided.

Figure 2 - Setting Mary Rose As The Active Account

The moment a portfolio account is loaded (this is accomplished by clicking the [image] icon), its name appears in the title bar of most windows. Compare Figure 3 with Figure 1.

Figure 3 - Active Portfolio Account Is Shown On The Caption Bar


Add/Remove Broker Account
Introduced since version 3.7, KLSE_Analysis now handles multiple trading accounts with disparate broking companies that charge different brokerage rates. An example is depicted in Figure 1 below.

Figure 1 - Multi Brokers Support

With such facility in placed, the same buy/sell transaction with OSK would yield different amount, as compared to if it were dealt with HDBS in the first place.


Stock Owned, Watched, Ignored & Favourite List
KLSE_Analysis allows us to store the stock counters we own, which are then used in the Price Movement Resistance Analysis and Portfolio Management.

Apart from Stocked Owned, there are 4 other similar tables listed below that serve disparate purposes :

· Stock Watched - counters that we currently don't own, but we are keen to monitor
· Favourite Stock - our all time favourites which we don't hold on hand
· Disposed Stock - stock we used to own but already sold off
· Ignored List - bad performing counters that we want to specifically avoid

Introduced in version 3.5, a feature is provided for the user to enter explanatory notes/remarks for the counters that he owns or has keen interest in.

Notes : The notes/remarks will only be permanently stored once Database Import operation is carried out

As depicted in Figure 1, we add the stock counter to the database by clicking at the “Update” button.

Figure 1 - Update Counters On Hand Screen

For those stock counters we don't currently own, we can still monitor their performance closely by adding them into our stock watch list.

Figure 2 - Stock Watch List Screen

We can now assign different ranking to our favourite counters.

Figure 3 - Favourite Stock Counters

The individual ranking would show (in Figure 4) when we list down our favourite counters.

Figure 4 - Display Favourite Stock Counters And Their Rankings


Enter Share Transactions
The following share transaction types are currently supported :

1. Share Purchase
2. Share Disposal
3. Bonus Issue
4. Rights Issue
5. Dividend Received
6. Warrant Conversion
7. Cash Distribution (Cash PayBack)

Figure 1 - Share Purchase Transaction Screen

Figure 2 - Dividend Entry Screen

Figure 1 and Figure 2 illustrate two typical transaction screens (please ensure that you have created a broker account as depicted in Add/Remove Broker Account and select the right one when entering a buy/sell transaction)


Archive Portfolio
Periodically it is good to archive your portfolio account. What archive does is purge your past transaction records which resulted in the complete disposal of specific stock counter. The purged records are actually moved to the archive table, which is separated from your current table.

You can enable auto archive in the MetaStock Path Settings window. With the auto archive feature set, whenever you load up an active portfolio, it automatically kicks in.


Remove Erroneous Transaction


Portfolio Performance Review


Current Transaction Records

Current Transactions


Archived Transaction Records

Archived Transactions


Journal


Dividend Statement
Figure 1 displays the list of dividends received in 2005 together with their detailed descriptions.

Figure 1 - List Of All Dividends Received In 2005

If you click on the IRD Submission View radio button, then you can choose to print out the content and straight away submit to the Inland Revenue Department (IRD) for your yearly income tax declaration purpose.

Note that you can choose to hide the tax-exempt dividend entry (compare the difference in Figure 1 and Figure 2 and observe that Figure 2 does not show the Ekowood dividend). This is done on the MetaStock Path Settings screen.
Figure 2 - Annual Dividend Statement Submitted To IRD (Inland Revenue Department)


By Partial Counter Name
Sk Search window (main program window) is essentially used for displaying summary results of the counters we are interested in. By searching for counters that contain “top” as the partial symbol name, 2 stock counters namely JTOP and TOPGLOV are returned.

Note : If the search result is not empty, right click on the list view brings up a popup menu (Figure 1).

By focusing on TOPGLOVE, information on TOPGLOVE's ROE, P/E, P/NTA, D/Y, PEG, RSI, CAGR, Current EPS Growth and the Average EPS Growth are presented.

Mark is a dedicated scoring system that further identifies potentially good counters, and the score ranges between 0.00 (undesirable) and 1.00 (ideal) inclusive.

CANSLIM is a famous stock selection methodology invented by William O'Neil. Partial CANSLIM (4 out of 7 which becomes CANL) analysis is provided, as some of the yardstick is qualitative in nature. Similar to Mark, the CANL score also ranges between 0.00 (undesirable) and 1.00 (ideal) inclusive.
In view of the different business environment in Malaysia, the CANL yardstick has to be amended to suit the local scene, or else no counter would fulfill the original criteria which is very much stringent.
Refined Yardstick | Descriptions
C | Current EPS Growth is at least 18%
A | CAGR for the past 3 years must be >= 5% and every year must have positive CAGR
N | Current price is the highest in the past 1 year
L | (Current Price - Previous Year Price)/Previous Year Price X 100% >= 80%

You can customize parameters used in calculating the CANL, Mark and intrisic values by going to MetaStock Path Settings and make the relevant modifications before saving them.

To get more information on the financial ratio formula, kindly refer to Financial Ratio Formula .

RSI is a technical indicator used for determining if a stock is overbought or oversold. Typically a value greater than 70% is normally interpreted as being overbought. Value that falls below 30% represents oversold scenario. In Figure 1, we can easily deduce that TOPGLOV is neither overbought nor oversold.

Figure 1 - Search For Stock Containing The Partial Word “top”

KLSE_Analysis supports data sharing with other software like Microsoft Excel. Press Ctrl+C or select “Copy To Clipboard” from the popup menu to copy the search results into the clipboard, and you may paste it onto Microsoft Excel worksheet for more customized analysis such as graph plotting, pivot table creation etc. at a later stage.


By Partial Counter Code
Entering "702" in the Name/Code field would bring out all counters matching partial counter code of 702.


By Partial Core Biz Activities Or Notes
Introduced in version 5.7, apart from search by partial counter name, user can also execute stock search by entering partial word (case insensitive) for Core Biz and/or Notes fields.

For example, entering “cd” in the Core Biz field returns a list of counters with their core biz containing the partial word “cd”, as in the screen dump below.


All Counters
To view all the stock, all you do is leave the Counter Name blank, make Option combo box blank and uncheck both Cur ROE and Avg ROE check boxes (ROE Value category becomes disabled) and then just click the Find button (refer to Figure 1). From the title bar, it is easy to deduce that there are altogether 1324 stock counters in the database.

Figure 1 - View All Stock Counters' Summary Results


Stock Owned
Figure 1 yields snapshot report on the results of the stock held on hand. The core business of LBALUM is displayed as a yellow tooltip while its notes and listing date are in the status bar.

Figure 1 - Summary Results Of Stock On Hand


By Sector
Apart from defining our search criteria based on all sectors, KLSE_Analysis also allows us to further narrow our search restriction to a pre-designated sector. Figure 1 returns all the 62 counters from the MFinance sector.

Figure 1 - View Stocks That Are From MFinance Sector Sorted In Descending Order of D/Y

On top of that, we can further restrict the display of counters from the MFinance sector that only satisfy the stringent criteria : 50%>Avg ROE>=10%, 0.3<P/NTA<2.5 and 10%>=D/Y>=2.5%. The result is depicted in Figure 2.

Figure 2 - View All Stocks In MFinance Sector That Satisfy The Stipulated Criteria Sorted In Descending Order of Avg ROE


By Options Such As KLCI, MSCI
Figure 1 - View All Stocks Grouped By Both KLCI And MSCI Sorted In Descending Order of Avg ROE

KLCI (Kuala Lumpur Composite Index) consists of 100 large capital stocks (mainly blue-chip companies) that constitute the KLCI index. On the other hand, MSCI (Morgan Stanley Composite Index) comprises stocks that are monitored by Morgan Stanley. Figure 1 exemplifies 56 common stocks which belong to both KLCI and MSCI.


By Stock Advice (Buy Advice / Sell Advice)

Buy Stock Advice
Buy Advice


By Various User Customizable Criteria
In Figure 1, only a handful of counters that satisfy the stringent criteria (Average 5 years' ROE>=5%, Current year's ROE>=15%, P/E<=10, P/NTA<3.5, 50%>CAGR>=5%, Current EPSG>=10% and 0.5<PEG<2.4).

Figure 1 - List Of Stock Counters That Satisfy The Stringent Search Criteria

Note : by clicking at the column header once (for instance P/NTA), the results are displayed in either the ascending or descending order. You may also click on any other column to do the sorting.

Figure 2 - List Of Stock Counters With Latest Closing Price < IPO Price

Figure 3 - Counters That Were Listed Since 1st January 2006


Warrant Search
The moment you select WARRANT from the Option combo box, a different search criteria appears which is specific to warrant. You can customize the valuation rule too, and the warrant's fair price is adjusted accordingly.

Figure 1 - The whole warrant information page (covers called warrants too)


Stock Alert List
A very handy feature was introduced since release 4.3. We can now specify the low and high prices for counters together with their minimum and maximum P/E ratio values that we want to be alerted automatically. Click [image] icon on the toolbar to bring out the Stock Alert list.

Figure 1 - List Of Stock Counters On Alert

The moment our conditions in Figure 1 are met, the alert is triggered and the Stock Alert screen emerges automatically.

Figure 2 - Stock Alert Screen Is Displayed Automatically


Stock Reminder List
An extremely important feature added in 5.2 is the Reminder List. The Reminder List works to remind us of those upcoming events such as Dividend payment, bonus issue as well as rights issue.

For those people who own many stock counters, it is very hard to keep track of his/her entitlement for any dividend payment, bonus as well as rights issue. The reason being there is a quite a time gap from the date the announcement is made, till the date that he/she receives the dividend, bonus share and rights share. To make the matter worse, what if the dividend cheque/rights application form never arrives at the doorstep (missing mail)? Not everyone can remember his/her entitlement and makes the claim.

Reminder List comes to the rescue to resolve such issue. The way to use the Reminder List is simple (click [image] ). The moment an entitlement announcement is made, the user needs to enter the relevant information into the reminder list as in Figure 1.

Figure 1 - Reminder List In Action

Once the actual event takes place (when the actual dividend/bonus/rights transaction is entered), we will be prompted to remove the corresponding entry from the Reminder List. Figure 2 depicts the sequence and the result when we choose to remove the matching entry from the Reminder List.

Figure 2 - A Matching Record Is Removed From The Reminder List


Fair Price Forecast Calculator
Due to popular demand, a simple calculator is provided herein to compute the EPS Growth and forward fair price of a selected counter based on the forecasted EPS entered. To activate the simple stock calculator, first select the interested counter displayed in Stock Search window, then click the [image] toolbar icon.

Note : For counter with no valid P/E value, the calculator is not
viewable.

Figure 1 - Simple Fair Price Calculator In Action


Break-Even & CAGR Calculators

Break-Even Calculator
Break-even calculator assists user in quickly formulating the ideal selling price, to find out the transaction gain. It is activated by the [image] icon.

Figure 1 - Break-Even & CAGR (Compounded Annual Growth Rate) Calculators


Price Movement Resistance
There are typically 3 types of price movement resistance analysis, namely :

1. Half Month (Big Bull)
2. 1 Month (Medium Bull)
3. 3 Months

If a counter fails to break its upper price limit during the interval, it is likely that its price would move downtrend soon.

As clearly portrayed in Figure 1, among the 5 counters owned by Mary Rose (KEN, LATITUD, LBALUM, MBMR and TONGHER), only KEN managed to break its previous lows while TONGHER broke its previous highs in the past half month. From the summary, Mary can then decide whether to lock in profit by disposing TONGHER, or to wait for it to further record new highs. She may also want to buy more KEN to average down her unit holding cost on that counter.

Figure 1 - Half Month (Big Bull) Price Movement Resistance Analysis

For the counters which record new lows, they may present good buying opportunities as long as their fundamental remains attractive.

By clicking at the On Hand column header once, the results are sorted accordingly, as can be seen clearly in Figure 2.
Figure 2 - Sorted Results Display When The On Hand Column Header Is Clicked

Note : Pop-up menu appears when user right clicks on the list view


Stock/Index Movement Comparison
Comparing the price movement (up or down) between two selected counters/indices is made easy with the advent of this feature which is called out by the [image] icon.

In Figure 1, it is clear that WCT's price drops a lot as compared to the general Construction sector between 1/3/2004 and 1/3/2005 inclusive.

Figure 1 - Price Movement Of WCT Versus Construction Sector Between 1/3/2004 and 1/2/2005


Historical Highs & Lows
Historical Highs & Lows Analysis displays the yearly highs and lows of a selected
stock counter, since it became a member of the KLSE board.

It shows up by clicking [image] . In Figure 1, we can deduce that Megan underwent 1 for 4 bonus issue in 2002 (adjustment ratio is 0.8000). Its average ROE since joining the KLSE family in 2000 until now stands at an impressive figure of 16.69%. But the latest (year 2004) EPS and NTA values are before applying the latest adjustment ratio of 0.625, which is wrong!
Figure 1 - Latest EPS & NTA of Megan (before the adjustment in the latest financial year)

In this special case, you can modify the latest EPS and NTA values in this window or choose Database->Customize Latest EPS & NTA (refer to Customization Of The Latest EPS & NTA ), by entering the new values and then click the Update button. It is vital to take note that you are personally held responsible for ensuring the accuracy of the data.

Figure 2 - Latest EPS & NTA of Megan (after the adjustment in the latest financial year)

When you click at the Star Biz button, the built-in web browser would auto-link you to the Star Biz web site to display more information on Megan.

You can also edit the Core Biz, Notes as well as the company's web site address. To save the changes, just click the Save button. Clicking on the [image] button would bring you to the company's web site to get additional information.
Figure 3 - More Information On Megan By Visiting The StarBiz Web Site

When you click at the “Chart” button, you will be able to view 5 different types of trend charts. Figure 4 depicts EPS and EPS Growth trend.

Figure 4 - Megan's EPS And EPS Growth Trend Chart

The daily P/E, Price and Volume chart presents a very intuitive way of studying the trends, so that appropriate decision (purchase/disposal) is easily deducible.

Figure 5 - Megan's Daily P/E, Price And Volume Chart


Market & Sector P/E Ratios
Some users pointed out that the Bursa Malaysia website and DynaQuest no longer provides monthly figures of the P/E ratios for various sectors. As a result, I decided to introduce such feature in version 5.4 which can be launched by the [image] icon.

Figure 1 - Latest Market And Sector P/E Ratios


Market & Sector P/NTA Ratios
Similar to its peer the market & sector P/E ratios, this feature presents the latest market & sector P/NTA figures.

Figure 1 - Latest Market And Sector P/NTA Ratios


KLSE Daily Transaction
Figure 1 displays the KLSE daily closing data and the relevant value chart which is launched by clicking [image] , if KLSE_TRACK.XLS is present. The user is responsible for updating the data stored in KLSE_TRACK.XLS or MRKTKLSE.XLS on a daily basis (refer to KLSE_Track.XLS ).

Figure 1 - KLSE Daily Closing Data

Figure 2 displays the top 100 highest value/volume ratio ever transacted in the history of KLSE. We can use it to determine if a boiling point is reached. Such feature is only available if you are using the latest KLSE_TRACK.XLS which contains a worksheet called “RANK”. You may obtain the latest KLSE_TRACK.XLS from the author once you register KLSE_Analysis.

Figure 2 - Top 100 Highest Value/Volume Ratio In History

Likewise, to determine if current market is bearish, choose the Lowest Value radio button and followed by clicking the Display button.

To improve clarity and readability, all current year's data are displayed in red. An example is the entry on line 28 below.

Figure 3 - 100 Lowest Value Transacted In History

If however you choose MRKTKLSE.XLS to provide the data, the top 100 feature is disabled.


KLCI Daily Movement
According to the technical analysis, if the current KLCI (Kuala Lumpur Composite Index) drops more than 85% from its highest level in the past 3 months, then the market is deemed to possess immediate “BEARISH outlook”.

KLSE_Analysis provides a feature (the [image] icon) to track the daily movement of KLCI in the last 3, 6, 9 or 12 months.

Figure 1 - Comparison Of Current KLCI With Respect To Historical High And Low Levels


Stock Chart
Apart from Daily movement analysis on KLCI, we can also analyze the closing prices of a selected counter in the past 3, 6, 9 or 12 months. This will help us to determine the probable future trend of the counter.

The stock chart is for a selected counter is displayed when the [image] icon of the toolbar is clicked.

Figure 1 - Closing Price Analysis on GAMUDA Over The Past 12 Months

Right click at the chart brings up a pop-up menu that allows you to copy itself into clipboard.


Real-Time Quote Download

Referring to the diagram above, KLSE_Analysis will automatically download the latest price quotes available at StarBiz site when the Real-Time button is clicked. Once the download has completed, then the system would take the latest price quote in computing the P/E, D/Y and also portfolio performance.

The program is smart enough to revert back to historical data if no real- time quote is available, or if it is outdated.

Note : Real-Time quote works for all counters except those in the PN categories and warrants.


Customization Of The Latest EPS & NTA
Often when an adjustment ratio (bonus/stock split/rights) applies to a stock counter, its latest EPS and NTA will NOT be adjusted accordingly immediately, until the next financial year.

In such special circumstance, the user is given the freedom to manually modify the latest EPS and NTA to reflect the actual figures. Freedom always comes with greater responsibilities, in that the user MUST ensure that the newly modified EPS and NTA entered are correct. Taking Megan as an example (refer to Section 4.8.), the adjusted EPS in 2004 becomes 38.50 sen while NTA is 173.75 sen respectively.

Figure 1 - Customizing The Latest EPS And NTA

Note : Your customized latest EPS and NTA always has precedence / predominance over the data contained in ROE.ALB if the During Database Import, Overwrite User Entered Latest EPS & NTA Figures checkbox is ticked (refer to Figure 2 below). So it is important that you remove such entry from the database (by select Megan is in case and then click Remove button) once the Megan's next result (year 2005) is out.

What this means is simply : your customized data should at most stays within the same financial year (2004 in this example). Once the next financial year's result (2005) is out, you MUST remove Megan's custom EPS and NTA from the database.

On the other hand, if the During Database Import, Overwrite User Entered Latest EPS & NTA Figures checkbox is unchecked, then ROE.ALB's data will be referenced at all times.
Figure 2 - MetaStock Path Settings


Stock Pick Guide


ROE, EPS, NTA & Dividend
Figure 1 - Historical Highs & Lows Of LBALUM

Figure 1 lists down LBALUM's various ROE, EPS, NTA and Dividend from 1998 till 2004 inclusive.

The actual formulae for computing ROE is :
Return on Equity
Earnings * 100%
------------------------------------------------
Shareholders' Funds - Intangible Assets

Even though it is not 100% accurate, we simplify ROE so that

ROE = EPS / NTA * 100% (provided NTA > PAR value)
or
ROE = EPS / PAR * 100% (if NTA < PAR value)

Also from Figure 1, we know that LBALUM underwent bonus/rights in 1999, 2001 and 2004 as their adjustment ratios are 0.3571, 0.8571 and 0.5714 respectively.

By looking at the 4 diagrams below, we can tell that the average EPS Growth, NTA Growth and Dividend Growth for LBALUM are all positive, except for the average ROE Growth.


30 Day Try Before Buy Scheme

30 Day Trial/Evaluation
KLSE_Analysis is NOT free. It is a fully functional 30 day trial software. All the features are available to you for evaluation.

As soon as you launch an unregistered copy of KLSE_Analysis, a start- up screen as in Figure 1 pops up to remind for software license registration.

Figure 1 - Program Registration Notice

NOTE : You won't be able to run KLSE_Analysis once the trial
period expires. KLSE_Analysis has built-in security protection that intelligently prevents the use of it beyond the permitted duration unless it is registered.


How To Obtain Legitimate License
KLSE_Analysis is NOT free. It is a fully functional 30 day trial software. If you wish to continue running KLSE_Analysis beyond the 30 day evaluation limit, you must purchase a license by contacting KLSE_Track@yahoo.com before the 30 day trial period expires.

Every license (per computer) costs RM200 and you are entitled for free technical support via email. Should you want to install KLSE_Analysis on another computer, you are required to purchase additional license.

Once you make the payment ( Making Payment To The Author ), the author would send you a valid serial number to register KLSE_Analysis. The author would gather your personal particulars for authentication purpose.

Apart from the required system info and program registration screen shots, kindly furnish the author ( KLSE_Track@yahoo.com ) with the particulars listed below. They are used for user validation during the re-registration of KLSE_Analysis, should you need to reformat your computer's hard drive.

1. Your Full Name
2. Nick Name (used for online chat or normal email correspondence)
3. I/C Number
4. Permanent Email Address (other than Hotmail account. Example is Yahoo or GMail email account which comprises more than 1MB of disk quota)
5. MSN Messenger / ICQ / Yahoo Messenger ID

NOTE : In the event that you need to reinstall the operating system (due to virus attack, disk failure etc), no additional licensing charges will be incurred once your identity is authenticated based on your genuine personal particulars recorded by the author. Refer to What Happens If I Have To Format My Hard Disk, And I Am A Legitimate User? for more information on how to obtain your new unique serial number.


Making Payment To The Author
Refer to the table below for the different sums involved.
Type Of Payment | Amount Incurred
CD Containing KLSE Historical Data Since 1987 | RM20
Software Registration | RM200
Annual Subscription For ROE.ALB | RM60

Here are the author's ( KLSE_Track@yahoo.com ) bank account details :

· Bank Name : MayBank
· Account Name : GAN KOK ANN
· Account Number : 505055504492

Making Payment Online

If you own an account with MayBank, it is very convenient for you to make the payment online to the author. Just visit http://www.maybank2u.com.my to logon to your own account.

Figure 1 - Making Online Payment Via MayBank2u.com.my

The author will be notified by email once the money has been remitted successfully.

Making Payment Using Deposit Slip

If you choose to use the conventional way to remit the money i.e. using the MayBank bank-in slip (DEPOSIT slip存入单), please remember to enter your full name in the Tran Description交易说明section on the bank-in slip (below the Account No. 户口号码). Please send a notification email to KLSE_Track@yahoo.com once the money is remitted.


Systems Info & Program Registration


Benefits Enjoyed By Registered Users
1. FREE upgrade of all future versions of KLSE_Analysis
2. 1 time FREE delivery of updated ROE.XLS upon registration of KLSE_Analysis. To continue receiving ROE.XLS on a monthly basis, until the end of the same calendar year (when KLSE_Analysis license is purchased), a pro-rated fee out of RM60 annual subscription fee applies. For instance, say the software was registered in April (8 more months before December). To continue receiving the latest ROE.XLS till December of the same year, the user MUST pay (8 / 12) x RM60 = RM40 to the author. New update of ClosingData.XLS that contains the daily closing data for the specified period (cut- down version of KLSE_Track.XLS) will only be dispatched together with ROE.XLS to user who renews his/her annual subscription ( Making Payment To The Author ).
3. FREE technical support via email / MSN Messenger
4. Participation in online discussion (new feature request, stock selection, bug highlight etc.)
5. Get access to private discussion site ( http://klse.the- freelance.com/ ) hosted by Peter. All the registered users will be awarded vip status to surf the otherwise hidden forums.


Online Software Tips

Software Tips
The URL link listed below serves as a repository archive that contains numerous online software tips which you will find indispensable :

http://klse.the-freelance.com/viewthread.php?tid=957

The URL link above provides the latest software tips uploaded by fellow KLSE_Analysis users.

They are also provided in this help file (translated into English) as subsequent help topics, to cater for those who can't read Chinese.


Highlight Closing Data At Any Date In The Past

Open Stock Chart.
Select a point in the chart (either line graph or bar chart).
Hover the mouse on the point and the relevant info shows up as yellow tooltip.


Copy Stock Chart To Clipboard

Open a Stock Chart.
Right click anyway at the chart and a pop-up menu appears.
Click on it to copy the chart to the clipboard.
You can then paste the content to other application (this is how UncleHo paste the Stock Chart into his research report)


List Down Warrants Which Are In The Money

(1) Select Warrant in the main Stock Search window
(2) tick the Conversion Premium check box and make it <= 0%
(3) Click the FInd button to display the result

P/S : A warrant is deemed "In The Money" as long as the total cost involved in buying it plus converting into the mother share is cheaper than directly purchasing the mother share. In a nutshell, it means

Warrant Price + Conversion Price < Mother Price

Take YTL-WA as an example :

Warrant Price = RM2.43
Conversion Price = RM2.75
Mother Price = RM5.40

Warrant Price + Conversion Price = RM5.18 (which is less than RM5.40). That means it is a lot cheaper to convert YTL-WA into YTL share, than to purchase YTL share directly. Thus YTL-WA is treated as "In The Money".


How To Ignore ROE When Performing Stock Search?

(1) Enter 999% (as an example) for either Avg ROE or Cur ROE (没有任何一只股的ROE大过999%)

(2) In this example, enter PEG <= 1.5 will only consider this criteria and ignore ROE completely in doing the stock search


Comparing The Counters Which Are In The Same Business

TopGlove and SuperMax are both involved in the glove manufacturing biz. So to compare their results,

(1) enter partial word for glove, such as "glo" in the CoreBiz field


Reminder List Can Only Contain A Single Entry For The Same Counter
It is important to realize that the Reminder List only allows us to enter 1 single record for the same counter. That means if you already enter a dividend reminder for "SHELL", you are not allowed to enter another record for "SHELL" unless you delete the previous one.


Intelligently Automating MetaStock EOD Update
Since version 5.8, you no longer need to manually download the daily EOD data and update it by running either ConvertKLSE.EXE or other update tools.

Everything is now fully automated in the sense that the system automatically handles the EOD download and update (all within KLSE_Analysis) to ensure that you always get the latest data.

Having said that, you have to realize that BizFun does not keep the EOD data beyond 1 month period. Therefore, it is your obligation to execute the intelligent EOD update at least once 1 month (at the last trading day of the month).

Of course it is always recommended that you do it on a regular basis.


DOs And DONT's
DOs
· Backup all the files in C:\Program Files\KLSE_Analysis folder and also in the MetaStock root path folder (C:\MetaStock Data\Data\KLSE1 for most users) on a regular basis, particularly before you upgrade to a new version

DON'Ts
· Don't run Microsoft Excel while executing KLSE_Analysis


Financial Terminology and Various Financial Ratio Formula

Financial Ratio Formula

IPO stands for the Initial Public Offer price (i.e. the price you pay when you apply for new listing). Intrinsic refers to the actual hidden value of a share (based on a formulae which is mentioned in the help file). RSI refers to Relative Strength Index which is a technical analysis used for measuring when to buy or sell. RSI > 70% means overbought (time to sell) while RSI < 30% means oversold (time to buy)

CANSLIM is a famous stock selection methodology invented by William O'Neil. Partial CANSLIM (4 out of 7 which becomes CANL) analysis is provided, as some of the yardstick is qualitative in nature. Similar to Mark, the CANL score also ranges between 0.00 (undesirable) and 1.00 (ideal) inclusive.
In view of the different business environment in Malaysia, the CANL yardstick has to be amended to suit the local scene, or else no counter would fulfill the original criteria which is very much stringent.
Refined Yardstick | Descriptions
C | Current EPS Growth is at least 18%
A | CAGR for the past 3 years must be >= 5% and every year must have positive CAGR
N | Current price is the highest in the past 1 year
L | (Current Price - Previous Year Price)/Previous Year Price X 100% >= 80%

Ratios | Formula
Profit and Loss Analysis |
 | Int. Expense/Profit + Int. Expense (%)
Gross Interest Cover (Interest Coverage) | Profit Before Tax & Interest ------------------------------------- Interest Charge
Profitability & Liquidity |
Return on Assets | Earnings * 100 ------------------------------------------------------- Current Assets + Fixed Assets + Investments
Net Profit Margin After Tax | Net Profit After Tax * 100 ----------------------------------- Turnover
Return on Equity | Earnings * 100 ----------------------------------------------------- Shareholders' Funds - Intangible Assets
Current Ratio | Current Assets ------------------------- Current Liabilities
Acid Test | Current Assets - Stocks ------------------------------- Current Liabilities
Book Value/Share | Shareholders' equity - Preferred Equity ----------------------------------------------- Number of shares outstanding
Leverage & Capital Structure |
Net Gearing Ratio | Current Borrowings + Long Term Borrowings - Cash ------------------------------------------------------------------ Shareholders' Funds - Intangibles
Capital Gearing Ratio | Long Term Liabilities + Loan Stocks ----------------------------------------------- Ordinary Share Capital
Proprietary Ratio | Shareholders' Funds - Intangibles Assets ----------------------------------------------------------------------- Current Liabilities + Long Term Liabilities + Loan Stocks
Shareholders' Funds to Total Assets | Shareholders' Funds - Intangibles Assets --------------------------------------------------------- Current Assets + Fixed Assets + Investments
Total Debt To Total Assets | Current Liabilities + Long Term Liabilities + Loan Stocks ------------------------------------------------------------------------ Current Assets + Fixed Assets + Investments
Long Term Debt To Equity Ratio | Long term Liabilities + Loan Stocks -------------------------------------------------------------- Shareholders' Funds - Intangibles Assets
Total Debt To Capital Employed | Current Liabilities + Long Term Liabilities + Loan Stocks -------------------------------------------------------------------------- S'holders' Funds+Long Term Liab.+Loan Stocks-Intangibles
Total Debt To Equity | Current Liabilities + Long Term Liabilities + Loan Stocks ----------------------------------------------------------------------- Shareholders' Funds - Intangibles
Fixed Interest Capital | Other Share Capital + loan Stock + Bonds + debentures -------------------------------------------------------------------- Shareholders' Funds - Other Share Capital - Intangibles
Yield & Market Ratio |
Market Capitalization | Price * Number of Share Issued
Price-Earnings Ratio | Price / Earnings Per Share
Earnings Yield (%) | (Earnings Per Share / Price) * 100
Dividend Yield (%) | (Gross Dividends/Price) * 100
Dividend Cover | Earnings Per Share/Gross Dividends
Earnings Per Share | Profit After Tax less Minority Interest ex extraordinary ------------------------------------------------------------------- Number of Share Issued
Others |
NTA/Share | Total Assets-Total Liabilities-Intangible Assets-Pre Shares ----------------------------------------------------------------------- Number of Share Issued
Altman's Z-Score Ratios | Ratios Weights (Defaults) Working Capital -------------------- * 1.30 Total Assets Retained Earnings ---------------------- * 1.40 Total Assets Gross Profit before Interest -------------------------------- * 3.30 Total Assets Market Capitalization -------------------------- * 0.60 Total Assets Turnover/Income --------------------- * 1.00 Total Assets
ross Margin | Gross margin equal Gross Profit/Sales. Gross Profit is defined as Sales Revenue - Cost of Goods Sold.
Liquid Asset Per Share | Liquid Asset is defined to include cash, bank balances and deposits.
Free Cash | Free Cash Flow is the amount of nett cash flow left after paying for re-investment in fixed and current assets.
Shareholders' Funds | · Ordinary Share Capital o Number of share issued * Par Value · Other Share Capital · Discount / Exchange Reserve · Capital Reserves · General Reserves · Profit / Loss Appropriation · Minority Interest
Earnings (Net Profit) | Total Revenue - (Interest Expense + Depreciation + Unusual Items + Taxation + Minority Interest)
Dividend Per Share | Dividend After Tax/Issued Shares
Issued Shares | Ordinary Share Capital/Par Value
Price/EPS (P/E) | Closing Price/Earning Per Share
Price/NTA | Closing Price/NTA
EPS Growth | (Current Earning Per Share - Previous Earning Per Share) / Previous Earning Per Share * 100%
PEG | Closing Price/(Earning Per Share * EPS Growth)
Dividend Yield | Dividend / Closing Price * 100%
Compounded Annual Growth Rate (CAGR) |
Performance Ratio |
Gross Profit Margin | (Profit Before Tax/Turnover) * 100
Net Profit Margin | (Profit After Tax/Turnover) * 100
Return On Shareholders' Equity | Profit After Tax/Total Shareholders' Funds
Current Asset Turnover | Revenue/Current Assets
Fixed Assets Turnover | Revenue/Fixed Assets
Total Assets Turnover | Revenue/Total Assets
Revenue Per Share | Revenue/Issued Shares
Inventory Turnover | Revenue/Inventory
Growth Ratio |
Annual Revenue Growth Rate | ((Current Year Revenue-Last Year Revenue)*100)/Last Year Revenue
Annual Profit Growth Rate | ((Current Year Profit-Last Year Profit)*100)/Last Year Profit
Debt Ratio |
Debtors Turnover (Days) | (Debtors/Turnover) * 365
Creditors Turnover (Days) | (Creditors/Turnover) * 365
Debt Ratio (%) | (Total Liabilities/Total Assets) * 100

Ratio
Comments
ROA
Income/Assets
= Income/ Sales * Sales/Assets
= Profit Margin * Asset Turnover

Profit Margin
· Measures a company's profitability relative to sales

Asset Turnover or utilization
· Measures company's effectiveness in generating sales from assets
ROE
Reflects favorable effects of financial leverage if ROE > ROA
In the West is considered to be a most ratio for it is an indication oh how well the management is making use of the assets of the company in generating return for its shareholders. Generally, it should not be less than 10% averaged over time. However, owing to the fact that a great number of local companies have vastly overvalued their assets, their ROE is very low. We consider ROE to be a red flag. It shows either the company is poor in managing its assets or high in revaluing its assets or both. Either is not a good sign.
Current Ratio
Current Liability Coverage
· Higher the amount (multiple) of current assets to current liabilities, the greater assurance we have in current liabilities being paid
Buffer against losses
· Larger the buffer, the lower the risk. Shows the margin of safety available to cover shrinkage in non-cash current asset values when ultimately disposing or liquidating them.
· Reverse of liquid funds
o Is a relevant as a measures of margin of safety against uncertainties and random shocks to a company's cash flows. Uncertainties such as strikes and extraordinary losses can temporarily and expectedly impair cash flows
Acid Test
(Quick Ratio)
Inventories are often the least liquid of current assets and are removed
Times Interest Earned Ratio
Consider interest as only fixed charge needing earnings coverage
Long Term Debt To Equity Ratio
Debt To Equity Ratio
A ratio in excess of 1:1 indicates greater long term debt financing compare to equity capital
Total Debt To Equity
Implies that total debt of e,g, 2.33 times its equity capital. Stated that credit financing equals $2.33 for every $1 of equity financing.
The D/E ratio measures the ration between the amount of Interest Bearing Debt a company has and the amount of Shareholders Equity. Parenthetically, the amount of shareholders equity of a company is the same as its NETT ASSET BACKING. One must near in mind what we have said about the lack of standardization in measuring the value of the assets of a company. D/E ratio is another crude measure of the financial strength of the company. The smaller is the debt relative to the equity, the stronger is of a company. As a very rough guide, a D/E Ratio of more than 0.5 is regarded as high and one of more 1.0 is regarded as very high.
Altman Z-Score
Predicting financial distress (Bankruptcy prediction models)

A Z-Score < 1.20 higher probability of bankruptcy
> 2.90 low probability of bankruptcy
1.20 - 2.90 are gray or ambiguous area

This is a popular “all-in-one” measure of the financial strength of a company. The higher the value of the Z-SCORE, the stronger is the company financially.
Earnings Yield
Inverse of PER, represents the income-producing power of a share of common stock at current price.
Dividend Yield
Cash return accuracy to an investor on a share of stock based on current dividend rate and current price.
Book Value/Share
Is the per share amount resulting from a company's liquidation or NAV.
Asset Turnover
This ratio indicates the efficiency with which the company is able to use its assets to generate sales. Generally, the higher a company's total asset turnover, the more efficiently its assets have been used. Please note that different industries tend to have different asset turnover ratio. This ratio should only be used for comparing firms in the same industry.
Gross Margin
Gross margin equal Gross Profit/Sales. Gross Profit is defined as Sales Revenue - Cost of Goods Sold. Gross margin measures (roughly) the percentage value added by a firm on its raw material before selling it. For the same industry, the higher is its gross margin of a firm, the higher is the potential for obtaining profit and the better is the management quality.
Liquid Asset Per Share
Liquid Asset is defined to include cash, bank balances and deposits. Generally a company which has a lot of liquid asset on hand is a financially strong one. A company which is financially weak is unlikely to have a lot of liquid assets on hand. However the reverse is not necessarily true as a financially sound company may have other uses for their liquid assets.
Free Cash Flow To Capital
Free Cash Flow is the amount of nett cash flow left after paying for re-investment in fixed and current assets. FCF measures the ability of a firm to pay out dividend. FCF/Capital compares the FCF of a firm with the total capital employed (defined as total shareholders equity & debt). The higher the ration is this ratio, the more efficiently is the firm using its capital.

Value Investing
· Outperforms when the cycle is near the bottom because earnings cannot go much lower and stocks are likely to be undervalued because of over pessimistic earnings outlook
· Value investors make money every year and protects you on the downside
· Investors are looking for companies that are trade at less than their real value will be recognized by the other market players and reflected in higher prices.
· Investors need to examine company fundamental business prospects. You want a company where something is going to change, either externally (Industry change) or internally (Management)
· Sell usually happens when wall street upgrades the recommendation
· Prefer cash flow to earnings as measure of the strength of the company's businesses
· Top flight businesses with long term earning power at a low price holds them till they appreciate.
· Low price to book value
· Straight forward business. They have the staying power and make products people want badly or feel they need. Financial criteria free cash flow, high return on equity and shareholder-friendly management

Growth Investing
· Does better late in the business cycle when earnings are reaching their peak, and investors are willing to bid up prices to get their hands on the fastest growing stocks
· Makes its performance in a very short period
· Would be willing to buy stocks whose PER were one or more times their annual earnings growth

Performance Ratio
Gross Profit Margin (Profit Before Tax/Turnover)*100
Net Profit Margin (Profit After Tax/Turnover)*100
Return on Shareholders Equity (Profit After Tax/Total Shareholders Funds)
Current Assets (Turnover Revenue/Current Assets)
Fixed Assets (Turnover Revenue/Fixed Assets)
Total Assets (Turnover Revenue/Total Assets)
Revenue Per Share (Revenue/Issued Shares)
Inventory Turnover (Revenue/Inventory)

Liquidity Ratio
Current Ratio - (Current Assets/Current Liabilities)
Acid Test Ratio - (Current Assets-Stock)/Current Liabilities
Interest Coverage (Profit Before Tax/Interest Charge)
Growth Ratio
Annual Revenue Growth Rate(%) ((Current Year Revenue-Last Year Revenue)*100)/Last Year Revenue
Annual Profit Growth Rate (%) ((Current Year Profit-Last Year Profit)*100)/Last Year Profit

Debt Ratio
Debtors Turnover (Days) (Debtors/Turnover)*365
Creditors Turnover (Days) (Creditors/Turnover)*365
Debt Ratio (%) (Total Liabilities/Total Assets)*100
Current Debt To Equity Ratio (%) (Current Liabilities/Shareholders Fund)*100
Total Debt To Equity Ratio (%) (Total Liabilities/Shareholders Fund)*100


How To Get Rid Of The Program Crashes Message When Quitting KLSE_Analysis?
If you click the  button (Close button) on the Stock Search screen to exit KLSE_Analysis, you would probably get the following error message which indicates the program crashes.

To prevent getting the error message, the proper way of closing the program is by either choosing File->Exit or click on the [image] toolbar icon.


"MDAC 2.8 RTM is incompatible with this version of Windows" Error Message On Comouter Running Windows XP SP2

"MDAC 2.8 RTM is incompatible with this version of Windows" Error Message On Computer Running Windows XP SP2
 Previous Top Next
The latest Microsoft Windows XP Service Pack 2 (SP2) causes compatibility issue with Microsoft Data Access Component 2.8 (MDAC 2.8).

To fix this problem, I release a separate KLSE_Analysis installation file and it is stored in the KLSE_Analysis Setup Files\WinXP SP2 folder. For system running Windows XP Service Pack 2, you DO NOT need to install MDAC 2.8.


KLSE_Analysis Fails To RUn Message Upon Application Start Up
A built-in security measure prevents user from modifying the system date (after installing KLSE_Analysis), who may possess devious intention of hacking it and get the unlicensed copy of KLSE_Analysis running beyond the 30 day trial period.

Figure 1 - The Change Of System Date Causes The Program Fail To Execute

Despite this, setting the system date back to its original value would make it running normally again.
1 All Rights Reserved


I Am New To KLSE_Analysis. Please Guide Me On How To Get It Working
For those who are completely new to KLSE_Analysis, here are the right steps to get it running properly (after you have installed KLSE_Analysis and the MetaStock Pro 8.0 software together with its historical MetaStock data) :

1. The first time you run KLSE_Analysis, it will complain no portfolio account is present. All you have to do is to create one portfolio account immediately (refer to Add/Remove Portfolio Account )
2. Make sure the MetaStock root path is correctly configured (refer to MetaStock Path Settings )
3. Perform database import operation (refer to Database Import )
4. Enter the stock counters that you own (refer to Stock Owned )
5. Enter the actual share transaction (refer to Multi-User Profile Portfolio Management )

Once the above measures are carried out in the right order, you may now try out the other features as well.


Where Can I Obtain The KLSE Historical Data (Dated Since 1987)?
As mentioned in Section 3.2, the KLSE historical data (base image dated since 1987) in MetaStock format can be purchased from a number of vendors.

You can also contact the author for the base image dated since 1987 plus the 30-day trial version of KLSE_Analysis setup files, all burnt into a single CD. A nominal postage and delivery charges of RM20 apply.

To facilitate the delivery of the CD via POS EKSPRES, kindly provide the author the following particulars, once RM20 has been remitted into the author's saving account (please contact KLSE_Track@yahoo.com to get his MayBank account number) :

· Your full name
· Your correspondence address
· Your telephone number


How To Import Daily KLSE Closing Data Into MetaStock?
Once the base image is present, you need to visit the site and download the daily closing EOD (End Of Day) data.

In the following example, http://www.bizfun.cc/ is chosen for illustration.

Figure 1 - BizFun's Main Webpage

To download the FREE daily closing EOD (End Of Day) data stored in zip format (available approximately at 7.00pm, 2 hours after market has closed), click at the Download KLSE & Index link.

As soon as the raw data files (in text file format *.txt) are extracted to a designated folder (C:\Temp in this example), you then launch MetaStock Downloader and choose Tools->Convert to update MetaStock data files in the right root path (refer to Section 4.1).

Figure 2 - Screenshot of MetaStock's Downloader Used For Converting Securities

To ease the effort, the author wrote a utility program called ConvertKLSE.exe to do the automatic import. ConvertKLSE.exe can be executed from within by clicking the [image] icon.

NOTE : The moment ConvertKLSE.exe runs, it automatically launches MetaStock's Downloader to start converting the daily closing price of all securities. During the conversion, it is extremely crucial not to use your computer to do other stuff until the conversion completes. Ensure that the contents of the daily EOD data (*.txt files) are stored in C:\TEMP folder prior to running ConvertKLSE.EXE.

NOTE : Alternatively, if you are getting the daily EOD data from KLSEPortal site ( http://www.angelfire.com/super2/klseportal/download.htm ), it is of paramount importance that the extracted *.txt files are copied to C:\TEMP folder prior to running ConvertKLSE.EXE. This is because by default, a subfolder called “KLSEPortal” is created automatically when you unzip the EOD data file, and it stores all the *.txt files).

Whenever bonus or rights issue takes place, you need to perform price adjustment in MetaStock, regardless of whether you own the stock or not. Likewise, for the case of stock move sector or stock rename, relevant MetaStock update must be carried out

(1) Price Adjustment
Price adjustment must be carried out whenever the company is issuing bonus or rights issue. Please only do once for the adjustment. If you are not sure, don't save the changes. Once the changes are saved, they can not be reversed. That's why it is important for you to carry out backup beforehand (refer to How To Backup KLSE_Analysis And All Its Related Files? ).

Run The Downloader program
Open the counter that your want to perform price adjustment (File>Open)
After open the share data, click on the Adjust and then Split (Adjust>Split)
Type in the correct data for last date and click OK
Save the changes and close the counter
An example is price adjustment for PINWEE (Second Board Consumer)
 Last date: 31/12/2003
Ratio: 5 for 4
(bonus issue)

(2) Stock Move Sector

Run The Downloader Program
Choose the Merge option from Tools menu (Tools>Merge)
Select the Securities prior changed name in the Source folder (old data with the old stock name)
Then select the stock that has the new name in the Destination folder (new data with new stock name)
In the same menu, click on the Options
Tick the Delete source security option to delete the old stock name data
Finally, click on the Merge option button

(3) Stock Rename

This operation must be carried out whenever a listed company is transferred from one board to another board (i.e. from Second board to Main Board) or from one sector to another sector (i.e. from Finance sector to Consumer Product sector).
The process is exactly the same as the Stock Move Sector.

Figure 6.2.4. - BizFun Site Contains Detailed Instructions On How To Perform Stock Rename, Stock Move Sector And Price Adjust Operations

The site http://www.bizfun.cc/ contains detailed instructions to guide you through the whole process.


Program Start Up Error When Logon To Windows Using Different User Account
KLSE_Analysis' settings are stored based on individual user profile. You MUST always execute KLSE_Analysis from the same user account that it is first installed. The moment you switch to another user account upon Windows logon, KLSE_Analysis fails to run.


Error 1617 : The Directory Does Not Contain Any MetaStock Files
Figure 1 - Invalid MetaStock Data Path Setting

If you ever encounter runtime error 1617 as in Figure 1, please refer to MetaStock Path Settings to verify that all the data paths for various sectors are configured properly.


Error 430 : Class Does Not Support Automation / Expected Interface
If you ever encounter runtime error 430, it means KLSE_Analysis is not properly installed. You have to first uninstall the existing copy (by choosing Add/Remove Programs option in the Control Panel) before reattempt to install again.


How To Enter Transaction For Bonus / Rights Issue?
Whenever bonus / rights issue takes place, price adjustment must be carried out in MetaStock, as explained in How To Import Daily KLSE Closing Data Into MetaStock? . In addition to that, if you own the stock, you also need to record down the transaction in KLSE_Analysis.

In our example, 5000 shares of AZRB was purchased on 4th July 2003. Then on 15th August 2003, a bonus entitlement of 2 for 5 was granted to AZRB shareholder. Since we owned 5000 shares on that day, we would be given another 2000 shares after the exercise, making a total of 7000 on hand. Please note that the total sum invested on AZRB remains at RM17,630.


What Happens If KLSE_Analysis Is Terminated Abruptly?


What Happens If I Have To Format My Hard Disk, And I am A Legitimate User?
Once you register KLSE_Analysis, you can be rest assured that you DON'T have to pay RM200 again if you have to format your hard disk (in the event of virus attack, hard disk failure etc).

All you need to do is to email the author ( KLSE_Track@yahoo.com ) the relevant information and you will be supplied new set of serial number completely FREE. Please refer to How To Obtain Legitimate License for more information.


How Often Do I Execute Database Import?
As clearly explained in Database Import , you only perform “Database Import” if either one of the following event takes place :

· New stock counter is added to the KLSE family. MetaStock automatically recognizes a new stock counter during the daily EOD (End Of Day) file update.
· Existing stock counter changes name, sector or move to the main board (refer to How To Import Daily KLSE Closing Data Into MetaStock? )
· Newly updated ROE.ALB is received from the author
· DATA.MDB is received from the author
· NewKLSE.MDB is provided and you are instructed specifically by the author to perform upgrade database operation (refer to How To Upgrade KLSE.MDB Database To A Newer Version? ).

Other than those events listed above, you don't have to perform database import every time you execute KLSE_Analysis.


"Syntax Error In UPDATE Statement" Message During Database Import?
Some users complained seeing the error message (as in Figure 1) when they perform the database import operation.

Figure 1 - Error Message During Database Import Operation

The error is actually caused by the wrong symbols (by default) used for specifying number and currency format, especially if Malay (Malaysia) is defined as the region. Make sure you customize the currency setting to use “.” as the decimal symbol and “,” as the digit grouping symbol in Control Panel (refer to Figure 2).

Figure 2 - Customization Of Regional Options In Control Panel

Once you finish with the step, subsequent database import would succeed


"Operation Was Cancelled" Error When Engaging On Upgrade Database
The problem originates from the fact that your KLSE.MDB is outdated. Please kindly email the author a copy of your KLSE.MDB to get it fixed.

Figure 1 - Outdated KLSE.MDB Causes “Operation Was Cancelled” Error When Upgrading The Database


Error 1602 : Security Symbol Does Not Exist
Figure 1 - Invalid MetaStock Data Path Setting

If you ever encounter runtime error 1602 as in Figure 1 during the execution of price movement resistance analysis, it indicates that your database is out of date. Therefore, the solution is to perform database import operation.


How To Upgrade KLSE.MDB Database To A Newer Version?


How To Delete All Transaction Records For A Specific Account?


Does KLSE_Analysis Work If Microsoft Windows Is NOT Installed On Drive C?
The answer is NO.

You must install the Windows operating system in drive C:. In addition, KLSE_Analysis MUST also be installed in C:\Program Files\KLSE_Analysis folder.


How To Prevent Cluttered KLSE_Analysis Main Screen?
If you ever suffer from the cluttered screen as show in Figure 1, the solution is to set your screen resolution as 1024X768 and have at least a 15” monitor.

Figure 1 - Messy Screen Display

Additional information is available at Minimum Hardware Requirements section.


Do I Need To Use Both KLSE_TRACK.XLS And MRKTKLSE.XLS?
The answer is NO. You only need to use 1 of them.

In Path Setting, you can choose either KLSE_TRACK.XLS or MRKTKLSE.XLS to use. They are quite similar except that if MRKTKLSE.XLS is chosen, you can't view KLSE Daily Transaction (refer to section 4.9). With KLSE_TRACK.XLS set enabled, you can readily view the KLSE Daily Transaction analysis.

MRKTKLSE.XLS is updated by Hong Leong Capital. For those people who are reluctant to manually update the daily closing data into KLSE_TRACK.XLS, a workaround is to download the latest copy of MRKTKLSE.XLS and then copy its content into KLSE_TRACK.XLS.

NOTE : Since 1/11/2004, the MRKTKLSE.XLS was no longer updated by Hong Leong Capital. You will need to manually update KLSE_Track.XLS yourself.


Can I Use Existing Historical Data (Purchased From Other Vendor)?
Of course you should make use of your existing historical data. All you have to do is to enter the sector name (according to your existing folder structure) and specify your own existing MetaStock root path. Also, please run your own daily update tool instead of ConvertKLSE.exe. As long as you place ROE.XLS in your existing MetaStock root path, it will work fine.


Error 3021 : Either BOF Or EOF Is True During Program Start Up
If there is no portfolio account present, you will get an error as exemplified in Figure 1 when KLSE_Analysis runs. The solution is to create a new portfolio account and specify it as the active account to load up (refer to Add/Remove Portfolio Account ).

Figure 1 - No Portfolio Account Present


When I Click The Perform Button (View Performance), The Software Closes By ItSelf
The Software closes by itself because you have not created a portfolio account. You must first create a portfolio account ( Add/Remove Portfolio Account ) and then add stock counters to the On Hand database ( Stock Owned, Watched, Ignored & Favourite List ).

After that you enter the actual transactions (Buy/Sell etc) Multi-User Profile Portfolio Management for them before you can view the performance Portfolio Performance Review (common sense dictates).

Of course you can't view the performance without the transaction records entered in the first place.


How To Interpret The Score Of The "Mark" Column InStock Search Window?
Someone asked me how the newly introduced column "Mark" works. Basically "Mark" is a yardstick used for determining how good a counter is. The score is incremented if any of the criteria is met. Apart from the list of user customisable criteria specified in the screenshot below, it also takes into consideration of CANL scoring, to arrive at a final score which ranges from a scale of 0 to 10.

Obviously the higher the score, the better it is. A score of 5 and above is considered quite good. But, this is subject to individual discretion.


ODBC Microsoft Access Driver Error : "Too Few Parameters. Expected 1"
It is unusual that you will ever encounter the ODBC error as portrayed in Figure 1.

Figure 1 - ODBC Error Caused By Corrupted Database Files

Nonetheless, if you do get such error, it is most likely contributed by either one of the following causes :

· You are using outdated database files (KLSE.MDB and DATA.MDB) which contain old table structures that are no longer supported by KLSE_Analysis. The solution is to obtain the latest database files (KLSE.MDB and DATA.MDB) from the author.

· Corrupted KLSE.MDB database file resulted from erroneous entries in the portfolio transactions, such as incomplete shares purchase/disposal transaction records.


Missing Broker Name In Portfolio Performance Window
Should you get the screen as depicted in Figure 1, it means you forgot to enter the broker info. To do so, you must first go to Database menu and select Add/Remove Broker Account menu item( Add/Remove Broker Account ). Then when you enter new Buy/Sell transaction( Multi-User Profile Portfolio Management ), you must select the right broker account to use. The reason being : some of the users have more than 1 trading account and opens with several securities company, each charging different brokerage rate.

So, please delete the existing erroneous share purchase transaction for Megan and reenter the transaction once you created new broker account.

Figure 1 - Missing Broker Name In Portfolio Performance Window


How To Backup KLSE_Analysis And All Its Related Files
It is important to perform backup before the following action is carried out :

· Apply the latest KLSE_Analysis program upgrade
· Price Adjustment, Stock Rename and Stock Move Sector on the MetaStock data
· Enter a new share transaction record or remove an erroneous record from the database

You should always backup your copy of MetaStock historical data (for most users, it is stored in C:\MetaStock Data folder). For safety reason, you should also backup the following files contained in C:\Program Files\KLSE_Analysis folder, by copying them to another folder :

· KLSE.MDB
· DATA.MDB
· KLSE_Analysis.exe
· KLSE_Analysis.pd (security file used for authenticating the ROE.XLS subscriber)

You are also required to back up all your KLSE historical data stored in the MetaStock root path (which is C:\MetaStock Data\Data\KLSE1 for most users) if you perform Stock Rename, Stock Move Sector or Price Adjustment operation.


How Do I Update KLSE_TRACK.XLS?
If you decide to use KLSE_TRACK.XLS instead of MRKTKLSE.XLS, then you need to manually enter the daily market closing data (KLCI, volume and value transacted) into the KLSE data worksheet of KLSE_ TRACK.XLS.

However, you need not update the content of Rank worksheet at all.

As a gesture of appreciation to all ROE.XLS subscribers, ClosingData.XLS is sent out together with ROE.XLS at the beginning of every month. So you no longer need to manually update KLSE_Track.XLS. In the contrary, you just copy the content of ClosingData.XLS and append it to your copy of KLSE_Track.XLS.

Relevant information is covered in Benefits Enjoyed By Registered Users .


Do I Get Free Life Time Upgrade Once I Become A Registered User?
Once you become a registered user of KLSE_Analysis, you always get FREE life time upgrade, as long as you remain a subscriber of ROE.XLS.

In the event that your pc is crashed and you need to reinstall KLSE_Analysis again, you will get new set of serial number from the author at absolutely no extra charges.


If There Is A Newly Added Counter, Do I have To Do Anything On The Database, Or I Just Wait For The Latest ROE.ALB?

If There Is A Newly Added Counter, DO I have To Do Anything On The Database, Or I Just Wait For The Latest ROE.XLS?
 Previous Top Next
The latest ROE.XLS contains updated data for newly added stock. You do not need to update anything on your copy of the database.

However, the only thing you need to do is to make sure that you download and update the daily EOD data in MetaStock format, by running ConvertKLSE.exe. You also need to do the price adjust, stock rename and stock move sector yourself.

More details are at How To Import Daily KLSE Closing Data Into MetaStock?


Some Counters After Certain Alphabets Don't Have ROE Data. What Is Wrong?
If you do get such problem, it is because the database import operation is interrupted before it completes.

During database import, the EPS, NTA and ROE and etc. values are updated for each stock counter, in alphabetically order. It always commences with counters possessing names starting with leading A first, and follows through in ascending order till it reaches Z.

So that explains say, if counters starting with letter G and beyond don't display ROE values in the main Stock Search window, it is because the database import operation did not complete successfully.

Your solution is to execute the database import operation once again.


I Lost The Latest Historical Data After I Formatted My Hard Drive. Can I Get Another CD Again?
It is a good practice to always back up your data files. In the event that you can't recover the data and do need to get hold of new CD from the author, kindly remit RM20 (for postage and delivery via POS EKSPRES) into the author's bank account and a CD containing the latest historical KLSE data stored in the MetaStock format and also the latest installation version of KLSE_Analysis will be dispatched to you.

Various payment means are illustrated at Making Payment To The Author


I Notice Some Counters Have "B" Or "S" Prefix Next To Their Prices. What Do They Represent?
“B” means “BUY” while “S” means “S”.

It is simply a trading suggestion fundamentally based on the following guidelines advocated by Peter Lynch :
Condition Met | Trading Advice
PEG <= 0.5 | Buy
PEG >= 2 | Sell


How Does Valuation Rule For Warrant Work?
Introduced since version 4.3 is a very useful feature that computes the fair value of warrants. Typically, 30% is the default valuation, but it is fully customizable.

Fair value will be displayed if and only if the following 2 conditions are met :
1. Warrant has at least 2 years' of lifespan
2. The mother price is greater than then conversion price

Refer to Warrant Search for more details.


I Got "Syntax Error In Date In Query" When Entering Share Purchase/Disposal Transaction
If you ever experience such error (refer to Figure 1), it is because your short date format (in Control Panel's Regional and Language Options) is set wrongly.

Figure 1 - Wrong Date Format

A correct short date format is illustrated in Figure 2.

Figure 2 - Correct Short Date Format Is dd/MM/yyyy

Figure 3 - Customization Of Regional Options


Real-Time Quote Is Very Handy. What Are Its Limitations?
You can download the real-time quote (about 10 minutes' delay) by clicking the Real-Time button in the main Stock Search window. The latest price data for all counters (except warrants and PN counters) are downloaded from the StarBiz website.

Once the download completes, KLSE_Analysis would instantly computes the current P/E and D/Y based on the latest real-time data available. In addition, the portfolio performance is also automatically updated with the latest price data (except for the warrant and PN counters).

The software is intelligent enough to decide which price data to use, be it real-time or previous day's EOD data stored in MetaStock format. If the real-time quote is outdated (meaning you don't download it today), then KLSE_Analysis would use the EOD data.


Run-Time Error 35761 : Request Time Out (During Real-Time Quote Download)
If you ever encounter such error, it is because your internet download speed is slow. Simply try to download the real-time quote again later.


What To Do If ConvertKLSE.EXE Fails To Run?
Please follow the right steps outlined in How To Import Daily KLSE Closing Data Into MetaStock? . first.

If everything is abide by as outlined there, but ConvertKLSE.EXE still fails to carry out the data conversion intermittently. If this happens, then please minimize the ConvertKLSE.EXE window and it will commence automatically.


Missing ROE.XLS Error Message During Database Import
You would get such error if you don't copy ROE.XLS to the designated folder. Its designated path is stored on the Path Setting screen.

Figure 1 - Missing ROE.XLS


Run-Time Error 76 : Path Not Found Shows Up The Moment KLSE_Analysis Executes
If you ever encounter the error shown below, you need to open the Path Setting window and then click the Save button to permanently store the correct settings, to get rid of this error.

Figure 1 - Program Start Up Error


Run-Time Error -2147217865 : Missing Table Or Query
Seeing error message in Figure 1 indicates that your KLSE.MDB database file is out of date. You should always install the latest released version, or do a proper software upgrade, following all the instructions outlined by the author.

Figure 1 - Outdated Database Error


Run-Time Error 70 : Permission Denied (During Database Import)
Seeing error message in Figure 1 indicates that your Microsoft Excel is still running in the background (accessing ROE.XLS in previous Database Import attempt) when you attempt to reopen the same ROE.XLS again.

Figure 1 - Permission Denied Error During Database Import

Your solution is to first terminate the Microsoft Excel process (which is in hidden mode) by following the instructions depicted in What Happens If KLSE_Analysis Is Terminated Abruptly? . Once done, you may do database import again.


ODBC Microsoft Access Driver Could Not Find File '(Unknown)'
Seeing error message in Figure 1 indicates that your MDAC 2.8 and/or ODBC settings for KLSE.MDB and NewKLSE.MDB are corrupted. You need to remove the existing ODBC settings for both of them. Reinstall Microsoft Data Access Component 2.8 (MDAC) and then add the ODBC settings for both KLSE.MDB and NewKLSE.MDB back again.

Figure 1 - Corrupted MDAC 2.8 Installation And/Or ODBC Settings

Please refer to the link below on how to configure the proper ODBC settings :
http://www.the- freelance.com/klse/KLSE_Analysis/ODBC_Settings.doc


How To Ignore ROE When Specifying Other Criteria In Stock Search?
In the main window (Stock Search screen), user tends to notice that the ROE (average ROE and/or Current ROE) is always closely coupled with all other criteria (PE, P/NTA, PEG, D/Y, EPS Growth, Listing Date etc.) when doing a search to get those counters fulfilling user customizable requirements.

Often user wants to ignore ROE in stock search. For instance, say user wants to find out which stock counters' current prices are simply lower than their IPO prices (regardless of their ROE values). This requirement can be carried out easily by setting Cur ROE < 500% and Current Price < IPO Price.

Figure 1 - List Down Counters With Current Prices < IPO Prices (Ignore All Other Factors)


How To Increase The Height Of The Historical Highs & Lows Window?
Figure 1 is what normally appears when you open the Historical High Low window. As you would notice, it only displays partial content. To view everything, you need to drag down the bottom edge of the window so that it now appears properly as in Figure 2.

Figure 1 - The Past Historical Highs And Lows Prices Are Not Viewable Due To Small Window Height

Figure 2 - Drag Down The Bottom Edge To Increase The Window Height

1 All Rights Reserved


What To Do If KLSE_Analysis Complains It Can't Find Your Counter
 Previous Top
If you ever come across a message similar to the one below, it means either the counter you own (or once owned) has assumed a new name, or has been delisted, or has moved to a different sector.

When that happens, you need to follow all the steps explained in the message to get rid of the annoying message.


KLSE_Analysis is fundamentally a stock screener application that greatly facilitates our effort in picking the right stock to invest.


KLSE_Analysis Help

KLSE_Analysis is fundamentally a stock screener application that greatly facilitates our effort in picking the right stock to invest.